/* REXX SCRIPT TO CREATE SOME TM2LABO PROGRAM ICONS */
if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end

say "Creating PM Program objects..."

dir = directory() || '\'
dirpm = directory() || '\'
dirdll = directory() || '\'
dirvio = directory() || '\'

call SysCreateObject "WPFolder", "Mast Move", "<WP_DESKTOP>", "OBJECTID=<FDR_TM2LABO_MASTMOVE>;OPEN=ICON;ICONVIEWPOS=45,70,50,25;ALWAYSSORT=YES;ICONRESOURCE=1," || dirdll || "MMVT2DLL.DLL;ICONNRESOURCE=1,2," || dirdll || "MMVT2DLL.DLL;", "REPLACE"
call SysCreateObject "WPProgram", "Mast Move", "<FDR_TM2LABO_MASTMOVE>", "EXENAME=" || dirpm || "MASTMOVE.EXE;PARAMETERS=/BEEP;OBJECTID=<PRG_TM2LABO_MASTMOVEPM>;STARTUPDIR=" || dirpm || ";","REPLACE"

call SysCreateObject "WPFolder", "Help", "<FDR_TM2LABO_MASTMOVE>", "OBJECTID=<FDR_TM2LABO_MASTMOVEHELP>;ICONVIEWPOS=45,70,50,25;ALWAYSSORT=YES;ICONRESOURCE=5," || dirdll || "MMVT2DLL.DLL;ICONNRESOURCE=1,6," || dirdll || "MMVT2DLL.DLL", "REPLACE"
call SysCreateObject "WPProgram", "Readme(Jpn)", "<FDR_TM2LABO_MASTMOVEHELP>", "EXENAME=E.EXE;PARAMETERS=README.JPN;OBJECTID=<PRG_TM2LABO_MASTMOVE_READMEJPN_TXT>;STARTUPDIR=" || dir || ";","REPLACE"
call SysCreateObject "WPProgram", "Readme(Eng)", "<FDR_TM2LABO_MASTMOVEHELP>", "EXENAME=E.EXE;PARAMETERS=README.ENG;OBJECTID=<PRG_TM2LABO_MASTMOVE_READMEENG_TXT>;STARTUPDIR=" || dir || ";","REPLACE"
call SysCreateObject "WPUrl", "TM2Labo", "<FDR_TM2LABO_MASTMOVEHELP>", "OBJECTID=<URL_TM2LABO_MASTMOVE_SUPPORT>;LOCATOR=http://www7.big.or.jp/~os2warp/;","REPLACE"

say "Completed."

